PHP 7.2 ble utgitt 30. november 2017 og er nå tilgjengelig for alle våre kunder. Det er gått nesten nøyaktig et år siden PHP 7.1 ble utgitt 30. desember 2016.

For den gjennomsnittlige brukeren vil de nye forbedringene og funksjonene i stor grad være meningsløse. Det viktigste å vite er at mange av de vanlige PHP-baserte applikasjonene som WordPress og Joomla, støtter PHP 7.2 ut av boksen. Faktisk lister WordPress nå PHP 7.2 som anbefalt på sin kravside.

PHP 7.2.0 introduserer mange forbedringer og nye funksjoner som:

Hvorfor bør du oppgradere til PHP 7.x ?

PHP 7.0 ble utgitt for 2 år siden den 3. desember 2015. Det var også den viktigste versjonen av PHP til dags dato. Programmer med PHP-backend kjører nesten dobbelt så fort. Det fungerer mer intelligent og bruker mindre minne. La oss se på litt statistikk utgitt av Zend:

PHP 7 kan håndtere nesten dobbelt så mange forespørsler per sekund med 30% lavere minneforbruk. På webhotell der minnet er begrenset per konto, kan dette bety forskjellen mellom å holde på din nåværende prisplan eller å måtte oppgradere til en plan med mer ressurser.

Vennligst oppgrader til PHP 7!

I våre webhotell tilbyr vi alle PHP-versjoner fra og med 5.3. Det er 5.3, 5.4, 5.5, 5.6, 7.0, 7.1 og nå 7.2. Når vi ser på serverne ser vi hat mange nettsteder fortsatt kjører på PHP 5.3. Denne versjonen ble utgitt i 2009 og EOL’d (end-of-life) i 2014. Den har ikke mottatt en oppdatering på over 3 år. Den er treg, og også usikkert med 70 kjente sårbarheter.

WordPress har interessant statistikk tilgjengelig for bruk av PHP-versjonen.

En av fem nettsider (20%) kjører på PHP 7. Versjon 7.2-adopsjonsraten vil øke de neste ukene ettersom brukerne blir oppmerksomme og utviklere oppdaterer programtillegg for å støtte den nye versjonen. En bestemt funksjon kalt «create_function ()» har ganske stor bruk i plugin-økosystemet.

40% av nettstedene kjører på PHP 5.6. Dette er det siste av 5.x-utgivelsesserien og den eneste støttede 5.x-versjonen. Imidlertid kommer PHP 5.6 til å nå EOL i desember 2018.

40% av WordPress nettsteder kjører på PHP 5.2 til 5.5. Ikke rart WordPress er mål # 1 for malware-bots.

Skift enkelt til PHP 7.x i våre webhoteller

Bytte PHP-versjoner kunne ikke vært enklere. Bare naviger til nettsteder og innstillinger for alle domener, og du vil se PHP-innstillinger.

Klikk på PHP-innstillinger, og du vil se en rullegardinmeny for PHP-versjonen og en annen rullegardinmeny for PHP-handleren.

FastCGI eller PHP-FPM

Vi anbefaler inntil videre PHP 7.1.x. Dette for å gi plugin utviklere tid til å oppdatere eventuelle plugins som kan ha problemer med PHP 7.2.

Hvis du er på en CentOS 6-server (hvorav mange er), ser du bare FastCGI-applikasjonen servert av Apache og FPM-applikasjonen som serveres av Nginx. Vennligst vær sikker på at du velger FastCGI-programmet servert av Apache. På CentOS 7 servere vil du ønske å velge FPM applikert server av Apache.

Hvis du velger FPM-applikasjon servert av Nginx vil .htaccess ikke fungere og kan føre til problemer for mange nettsteder.

Hvis du vil oppdatere PHP til 7.2, men er usikker om bestemte deler av nettstedet ditt håndterer det, kan du enkelt klone for WordPress-eksempel til et testområde. Det tar noen sekunder, og deretter kan du oppdatere PHP på staging underdomenet til 7.2 og teste alt fungerer. I Plesk klikker du på WordPress (menyer til høyre og venstre på siden, så vel som på toppen av nettsteder og domener).

 

I 2018 er vårt mål å få alle til å byttet til PHP 7.x før 5.6 treffer sin EOL i slutten av året. Trenger hjelp med å bytte til PHP 7, ikke nøl med å kontakte oss.

Blogg

    Arkiv